package com.zipcodewilmington.generic.identifiables;

import java.io.Serializable;
import java.nio.charset.Charset;
import java.util.Random;

/**
 * @author leon on 05/12/2018.
 */
public class Person implements IdentifiableInterface<String> {

    String id;


    public Person() {
        this.id = randomString();
    }


    private String randomString(){
        byte[] array = new byte[7]; // length is bounded by 7
        new Random().nextBytes(array);
        String generatedString = new String(array, Charset.forName("UTF-8"));
        return generatedString;
    }


    @Override
    public String getIdentity() {
        return id;
    }

    public Class getIdentityType() {
        System.out.println(id.getClass());
        return id.getClass();
    }

    @Override
    public void setId(String id) {
        this.id = id;
    }

}
